package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: `/getWxSign`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "WechatLoginByGzh",
            Router: `/loginByGzh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "Notify",
            Router: `/notify`,
            AllowHTTPMethods: []string{"get","post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatController"] = append(beego.GlobalControllerRouter["hongze/hongze_mfyx_gzh/controllers:WechatController"],
        beego.ControllerComments{
            Method: "UserInfo",
            Router: `/user/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
